Subject: Re: powerpc problem with .data.page_aligned -> __page_aligned_data conversion

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 16 Oct 2009 07:00:09 +1100

On Thu, 2009-10-15 at 12:37 -0400, Tim Abbott wrote:
> Just to make sure I understand the nature of the problem, is the
> current 
> breakage that gcc < 4.3 will _warn_ on any compilation units on ppc64
> that 
> use __page_aligned data, or something worse?
> 
> The cropping is clearly a potential problem, but I read the rest of
> your 
> email as saying that the cropping of the alignment isn't actually a 
> problem with the current kernel because the kernel is currently only
> using 
> the macro with things whose size is divisible by PAGE_SIZE.  However,
> I am 
> not sure how to reconcile that with using the word "break" above...

Break is because we use -Werror on arch/powerpc :-)

Ben.